Bug 87546 - up2date --download --src --force bash (doesn't work, bash already installed)
up2date --download --src --force bash (doesn't work, bash already installed)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-28 11:28 EST by Ben Russo
Modified: 2012-06-20 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Russo 2003-03-28 11:28:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
openssl-0.9.6b-30-7.src.rpm  for RedHat Advanced Server is not
available on the ftp sites...  It seems to only be availabe via
the RHN service.

I have an RHAS 2.1 licensed server, it is registered with RHN,
it is already completely up2date.

I try to get the source rpm using up2date:
[root@bonzo root]# up2date --download --src openssl

Retrieving list of all available packages...
########################################

Removing installed packages from list of updates...
########################################

Removing packages with files not specified from list...
There are no packages available for update.
None of the packages you requested were found, or they are already updated.

I try the same thing with --force option, it returns the same error.

I sent an e-mail to the customer service desk through RHN and they told me to
use the web interface to download the source RPM.  Although I agree that this is
a valid workaround, it would be nice if up2date would do what the options
obviously imply.



Version-Release number of selected component (if applicable):
up2date-2.7.61-7.x.2

How reproducible:
Always

Steps to Reproduce:
1. install a package using up2date
2. try to use up2date to download the source rpm for the package that is already
installed
    

Actual Results:  received the message that the packages were already updated,
and no download of the source RPM occurred.

Expected Results:  the Source RPM should have been downloaded into the "tmpdir"
for the up2date utility.

Additional info:

Apparently this is fixed in the versions of up2date used in the personal
editions of RedHat Linux, but not fixed in the advanced server line.
Comment 1 Adrian Likins 2004-08-20 16:27:24 EDT
current versions support "--get" and "--get-source" to download
a package directly
Comment 2 Ben Russo 2004-08-20 19:46:28 EDT
Installed latest versions of up2date, still doesn't work with either
(the unsupported option) --get-source, or with "-d --src"

[root@bonzo root]# uname -a
Linux bonzo.reston.tnsi.com 2.4.9-e.38smp #1 SMP Wed Feb 11 00:09:01
EST 2004 i686 unknown
[root@bonzo root]# up2date -i up2date

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Fetching rpm headers...
None of the packages you requested were found, or they are already
updated.
[root@bonzo root]# up2date --get-source openssl
Unknown option --get-source
Usage: up2date [--configure] [--src] [--nosrc] [--dbpath=<dir>] [--justdb]
        [--dry-run] [-k STRING] [--nosig] [--nox] [--hardware] [--showall]
        [--solvedeps=<deps>] [--tmpdir=<directory>] [--version]
        [--show-channels] [--whatprovides=<deps>] [--installall]
        [--channel=STRING] [--gpg-flags] [--nodownload] [OPTIONS]
<packages>
[root@bonzo root]# up2date -d --src openssl

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Fetching rpm headers...
None of the packages you requested were found, or they are already
updated.
[root@bonzo root]# rpm -qa | grep up2date
up2date-gnome-2.9.14-1.2.1AS
up2date-2.9.14-1.2.1AS
Comment 3 Adrian Likins 2005-01-14 16:06:39 EST
Sorry, only available on RHEL3 and newer. 
Comment 4 Jiri Pallich 2012-06-20 12:57:46 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.